Android Police, güvenlik riski taşıyan ve modern telefonlar için “eski” kalan uygulamaları önlemek adına Google tarafından devreye sokuldu. Artık Google, Android 4.1 ve daha alt sürümler için geliştirilmiş olan eski uygulamaları, Android P’li cihazlarda çalıştırmayacak.Android Police

Android Police Yüklü Telefonlar Güvende

Bazı uygulamalar modern cihazların sürümlerine uygun değil. Bazıları ise çeşitli risk faktörleri barındırıyor. Google, akıllı cihazların güvenliği için bu tür uygulamalara savaş açtı. Bu uygulamalar zamanında Google Play Store’da yayınlanmış ve uzun süreden beri güncellenmemiş oldukları için terk edilmiş olarak da nitelendirilebilir.

Belki de geliştiricilerinin bile unuttuğu bu uygulamalar, hala bazı Android cihazlarda, farklı sürümlerde varlıklarını devam ettiriyorlar. Artık bu durum, Google ve Android P sayesinde sona erecek.

Android Police

Eski Uygulamaların Çalışması Engellenecek

Android P ile telefonlarda yüklü bulunan Android 4.1 veya daha da düşük sürümlere uygun şekilde geliştirilmiş uygulamalar engellenecek. Bu da çok severek kullandığınız bazı yaşlı uygulamalarınızı Android P’ye geçtiğiniz anda artık kullanamayacağınız anlamına geliyor.

Bu Önlemin Nedeni Güvenlik

Aslında hala kullanılan bazı uygulamalar oldukça işlevsel. Ancak güncelleme geldiği takdirde bazı güvenlik sorunlarına kaynak olabilirler. Bu nedenle Google aslında kullanıcıları, bu kararla güvence altına almış oluyor.

Güvenlik riskinin dışında, yeni cihazlar için özellik bakımından yetersiz, kullanıcı arayüzü ve çözünürlük açısından uyumlu olmayan uygulamalar da kullanılamayacak. Bu noktada ise sorun, eski uygulamaların optimize edilmemiş olması.

PAYLAŞ
Ömer Atlı
Teknolojiyi takip etmeyi seven, meraklı, yeniliklere açık, iyi bir spor izleyicisi, sıkı bir oyun takipçisi.